#
# Spec file for ocfs-tools
#

# Macros
# This one is hardcoded because, well, it belongs there
%define _prefix /usr
# Because RPM is dumb
%define _unpackaged_files_terminate_build 0
Summary: Tool to create reflinks on ocfs2/btrfs.
Name: reflink
Version: 0.1.0
Release: 3%{dist}
License: GPL
Group: System Environment/Kernel
Source: reflink-%{version}.tar.gz
URL: http://oss.oracle.com/git/?p=jlbec/reflink.git;a=summary
Distribution: Oracle
Vendor: Oracle
Packager: nobody <nobody@oracle.com>
Exclusiveos: Linux

Patch1: dummy.patch
Patch2: btrfs_reflink.patch
# End Oracle Patches

BuildRoot: %{_tmppath}/reflink-%{version}-%{release}-root

%description
The reflink tool creates a reflink on an ocfs2 or a btrfs filesystem.

%prep
%setup -n reflink-%{version}
%patch1 -p0
%patch2 -p1

%build
%configure
make


%install
make DESTDIR="$RPM_BUILD_ROOT" install


%clean
rm -rf "$RPM_BUILD_ROOT"



%files
%defattr(-,root,root)
%doc coreutils-6.9/COPYING
/usr/bin/reflink


%changelog
* Mon Feb 27 2012 Jeff Liu <jef.liu@oracle.com>
- Add Btrfs clone support.

* Wed Sep 21 2011 Kevin Lyons <kevin.x.lyons@oracle.com>
- Rebuild

* Fri Feb 12 2010 Joel Becker <joel.becker@oracle.com>
- Initial rpm spec
